# Start workflow request

`POST /v1.0-beta1/workflows/{workflowComponentName}/{workflowName}/start`

Start a workflow instance with the given name and optionally, an instance ID.

## Request

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `workflowComponentName` | string | Yes | Use "dapr" for Catalyst Workflows. Pattern: `^[a-zA-Z0-9_-]+$`. |
| `workflowName` | string | Yes | Identify the workflow type. Pattern: `^[a-zA-Z0-9_-]+$`. |

### Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `instanceID` | string | No | Unique value created for each run of a specific workflow. Pattern: `^[a-zA-Z0-9_-]+$`. |

### Request body

`application/json`

Type: `object`.

## Responses

### 202 — Accepted

### 400 — Request was malformed

### 500 — Request formatted correctly, error in Catalyst code or underlying component.
